Ticket #43463

Deprecation warning about old-style fcdb.option() parameter

Date d'ouverture: 2021-12-22 17:30 Dernière mise à jour: 2022-01-07 15:30

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
5 - moyen
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
1

Détails

Passing parameters like fcdb.param.DATABASE to fcdb.option() has been deprecated since freeciv-2.5. Let's add a deprecation warning about it. The implementation (to detect such calls) I have in mind might have some theoretical issues rendering it to a d3f matter -> can't be applied to branches older than S3_1.

Ticket History (3/4 Histories)

2021-12-22 17:30 Updated by: cazfi
  • New Ticket "Deprecation warning about old-style fcdb.option() parameter" created
2021-12-30 12:01 Updated by: cazfi
  • Résolution Update from Aucun to Accepted
2022-01-07 15:30 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion